Last Comment Bug 67838 - pressing return key after inserting <hr> doesn't show <br>
: pressing return key after inserting <hr> doesn't show <br>
Status: VERIFIED DUPLICATE of bug 159207
[behavior] EDITORBASE-; 1 day [adt3]
: embed
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla1.2beta
Assigned To: Joe Francis
: sujay
: Makoto Kato [:m_kato]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 11:39 PST by bijals (gone)
Modified: 2002-08-15 10:24 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description bijals (gone) 2001-02-06 11:39:22 PST
Steps:
1) Open a blank document in Composer
2) Hit return
3) Click the horizontal line button on tool bar
Caret is on line below horizontal line in most cases
4) Hit return
Caret does not move to the next line
5) Hit return
6) Move caret up 2 rows using arrow keys
7) Move caret down to last line created
Caret will not go 2 lines below horizontal line

Actual Results: 2 problems.  Caret does not create a new line on first return 
click.  Also, caret does not move to all rows using arrow keys.

Build Date/Platform: 2001020504 using N
Comment 1 sujay 2001-02-06 12:18:44 PST
confirmed...I see this also as described...
Comment 2 rubydoo123 2001-02-06 13:34:25 PST
assigning to jfrancis, setting to moz0.9.1
Comment 3 Joe Francis 2001-02-07 03:34:02 PST
beppe, we will have to eventually split this out as two bugs.  problems when
hitting return should indeed go to me, but the arrow key issue is seperate and
should go to selection owner d'jour.
Comment 4 Jesse Ruderman 2001-02-08 21:44:04 PST
This bug (or a part of it) is probably a dup of bug 55031.
Comment 5 Kathleen Brade 2001-02-12 13:02:54 PST
correcting summary; adjusting platforms (I see this bug on Mac)

There seems to be some kind of rendering issue.  If you do the first 4 steps 
listed and then save and preview the document in the browser, you'll see a 
different spacing.  Also, if you close and reopen the saved document in Composer.

As Jesse says, the caret movement issues are covered in #55031.
Comment 6 Asa Dotzler [:asa] 2001-12-03 11:21:59 PST
Bugs targeted at mozilla1.0 without the mozilla1.0 keyword moved to mozilla1.0.1 
(you can query for this string to delete spam or retrieve the list of bugs I've 
moved)
Comment 7 TucsonTester1 2001-12-20 10:12:47 PST
Issue still presnt in mac os x build 2001121805.
Comment 8 Syd Logan 2002-01-22 16:57:56 PST
triage is plussing
Comment 9 Kevin McCluskey (gone) 2002-02-19 18:14:01 PST
Bulk moving all nsbeta1+ bugs which were targetted after Mozilla1.0 to Mozilla1.0
Comment 10 Joe Francis 2002-02-28 17:20:19 PST
pri = 2 for original 1.0 EB+ bugs
Comment 11 Syd Logan 2002-03-21 22:22:04 PST
adt3 per adt triage
Comment 12 Joe Francis 2002-06-25 17:27:43 PDT
The trunk is the wave of the future!
Comment 13 Joe Francis 2002-07-23 15:59:17 PDT
The days of having a half dozen milestones out in front of us to divide bugs 
between seem to be gone, though I dont know why.  Lumping everything together as 
far out as I can.  I'll pull back things that I am working on as I go.
Comment 14 Charles Manske 2002-08-12 14:15:26 PDT
I cannot reproduce either of the described problems.
The caret problems around HRs were fixed by mjudge in bug 159207.


*** This bug has been marked as a duplicate of 159207 ***
Comment 15 sujay 2002-08-15 10:24:00 PDT
verified.

Note You need to log in before you can comment on or make changes to this bug.